org.optaplanner.core.impl.score.stream.bavet.uni

## Class BavetGroupBridgeUniTuple<A,GroupKey_,ResultContainer_,Result_>

- java.lang.Object
- - org.optaplanner.core.impl.score.stream.bavet.common.BavetAbstractTuple
  - - org.optaplanner.core.impl.score.stream.bavet.uni.BavetAbstractUniTuple<A>
    - - org.optaplanner.core.impl.score.stream.bavet.uni.BavetGroupBridgeUniTuple<A,GroupKey_,ResultContainer_,Result_>

- All Implemented Interfaces:
    BavetTuple

      public final class BavetGroupBridgeUniTuple<A,GroupKey_,ResultContainer_,Result_>
      extends BavetAbstractUniTuple<A>

- - ### Field Summary

    - ### Fields inherited from class org.optaplanner.core.impl.score.stream.bavet.common.BavetAbstractTuple

      `state`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BavetGroupBridgeUniTuple(BavetGroupBridgeUniNode<A,GroupKey_,ResultContainer_,Result_> node, BavetAbstractUniTuple<A> parentTuple)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `BavetGroupBiTuple<GroupKey_,ResultContainer_,Result_>` | `getChildTuple()`
    `A` | `getFactA()`
    `BavetGroupBridgeUniNode<A,GroupKey_,ResultContainer_,Result_>` | `getNode()`
    `Runnable` | `getUndoAccumulator()`
    `void` | `refresh()`
    `void` | `setChildTuple(BavetGroupBiTuple<GroupKey_,ResultContainer_,Result_> childTuple)`
    `void` | `setUndoAccumulator(Runnable undoAccumulator)`
    `String` | `toString()`

    - ### Methods inherited from class org.optaplanner.core.impl.score.stream.bavet.uni.BavetAbstractUniTuple

      `getFacts`

    - ### Methods inherited from class org.optaplanner.core.impl.score.stream.bavet.common.BavetAbstractTuple

      `getNodeOrder, getState, isActive, isDirty, refreshed, setState`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.optaplanner.core.impl.score.stream.bavet.common.BavetTuple

      `getFactsString`

- - ### Constructor Detail

    - #### BavetGroupBridgeUniTuple

          public BavetGroupBridgeUniTuple(BavetGroupBridgeUniNode<A,GroupKey_,ResultContainer_,Result_> node,
                                          BavetAbstractUniTuple<A> parentTuple)

  - ### Method Detail

    - #### refresh

          public void refresh()

      Specified by:
        `refresh` in class `BavetAbstractTuple`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### getNode

          public BavetGroupBridgeUniNode<A,GroupKey_,ResultContainer_,Result_> getNode()

    - #### getFactA

          public A getFactA()

      Specified by:
        `getFactA` in class `BavetAbstractUniTuple<A>`

    - #### getUndoAccumulator

          public Runnable getUndoAccumulator()

    - #### setUndoAccumulator

          public void setUndoAccumulator(Runnable undoAccumulator)

    - #### getChildTuple

          public BavetGroupBiTuple<GroupKey_,ResultContainer_,Result_> getChildTuple()

    - #### setChildTuple

          public void setChildTuple(BavetGroupBiTuple<GroupKey_,ResultContainer_,Result_> childTuple)

Copyright © 2006–2019 JBoss by Red Hat. All rights reserved.